/* BA/2009118: CR011118 */
IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'InternetAccessAllowed'
)
 ALTER TABLE Rooms ADD InternetAccessAllowed BIT